Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
PUTBare Metal Management OperationsSince 2.6.0SynchronousAuth Required
StopBaremetalInstance
StopBaremetalInstance
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the bare metal instance.
Body Fields
stopbaremetalinstanceObjectRequiredstopbaremetalinstance request body object.
typeStringOptional. The type of stopping the bare metal instance.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/baremetal/instances/{uuid}/actions
/zstack/v1/baremetal/instances/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal/instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"stopbaremetalinstance":{"type":"<type>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "4bf8e15fe39c3b0d8055b7074a522d2d", "name": "BM-1", "description": "This is a baremetal instance.", "zoneUuid": "541a4429a399336288dcbb83fe2573b4", "clusterUuid": "30efc0a59ac53afeb1d4d1fe2226a0a9", "chassisUuid": "7bd2492307033fedb5311dd23ddf2bbd", "imageUuid": "441390c7c83c3592ac29e6f1e38d392f", "platform": "Linux", "state": "Stopped", "status": "Provisioned", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "bmNics": [ { "uuid": "f81e9b15830538b9b826e113146f1ed1", "baremetalInstanceUuid": "4bf8e15fe39c3b0d8055b7074a522d2d", "l3NetworkUuid": "811f43fa4f9f34b9a3a1756911ad9fc1", "mac": "6c:b3:11:1b:0b:1e", "ip": "192.168.0.10", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "pxe": false } ] } }Change History
This API has no change history records yet.
